### Function

# Camel DB sqlize_string

since: 2.24

#### Declaration [src]

    gchar*
    camel_db_sqlize_string (
      const gchar* string
    )

#### Description [src]

Converts the `string` to be usable in the SQLite statements.

Available since: 2.24

#### Parameters

`string`

  Type: `const gchar*`

  A string to “sqlize”.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A newly allocated sqlized `string`. The returned value should be freed with camel_db_sqlize_string(), when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.